Bug 478360 - preupgrade from Fedora 8 failes to upgrade openvpn properly
preupgrade from Fedora 8 failes to upgrade openvpn properly
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-28 17:49 EST by Lev Shamardin
Modified: 2014-01-21 18:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:25:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2008-12-28 17:49:53 EST
Description of problem:
I've just upgraded from Fedora 8 to Fedora 10 using preupgrade. Openvpn serivce fails to start after preupgrade with these messages:

Starting openvpn: /usr/sbin/openvpn: error while loading shared libraries: libssl.so.6: cannot open shared object file: No such file or directory

Version-Release number of selected component (if applicable):
preupgrade-1.0.0-1.fc8.noarch, openvpn-2.1-0.29.rc15.fc8.i386

How reproducible:

Steps to Reproduce:
1. Install Fedora 8 with latest updates and openvpn.
2. Use preupgrade to upgrade to Fedora 10.
Actual results:
Openvpn is not upgraded.

Expected results:
Openvpn is upgraded correctly. After all, this may be the only way to connect someone's host to the internet to get openvpn updates!
Comment 1 Bug Zapper 2009-11-18 02:48:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-12-18 02:25:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.